MongoBinData::__toString
MongoInt32::__construct
Types
PHP Manual

# The MongoInt32 class

(PECL mongo >=1.0.9)

## Introduction

The class can be used to save 32-bit integers to the database on a 64-bit system.

## Class synopsis

MongoInt32 {
/* Fields */
public string $value ;
/* Methods */
public __construct ( string `$value` )
public string __toString ( void )
}

## Fields

value
  This is the string value of the 32-bit number. For instance, 123's value would be "123".

## Table of Contents

- MongoInt32::__construct — Creates a new 32-bit integer.
- MongoInt32::__toString — Returns the string representation of this 32-bit integer.

MongoBinData::__toString
MongoInt32::__construct
Types
PHP Manual